Can't run 2.53 beta

I’m using Windows Vista Home Premium 32 bit with SP2, and Python 2.6.5. I’ve downloaded the beta version and installed it, but when I try to run it the Blenderplayer screen comes up and then the program fails with an error message:

"Program C:\Blender2.5a\blender-2.53-beta-windows32\blender.exe

This program has requested the runtime to terminate it in an unusual way.
Please contact the application’s support team for further information."

Can anyone help sort this out for me?

Best wishes

Tony Holland

That doesn’t give a lot of info to help. One of the posts found by searching. Give it a try
http://blenderartists.org/forum/showthread.php?t=173763

Install the Microsoft C++ Redistributables 2008 SP1

Thanks, Richard. I’ve followed your link and found the solution; I’ve changed the name of the Python files and now Blender 2.5 can access the bundled version of Python 3.1.

Best wishes